#include "game/scenes/boot_loader.hpp"

#include "core/resources/resource_cache.hpp"
#include "game/scene_manager.hpp"

void BootLoader::iterate() {
    Resource::Cache::get()->renderProgress();
}

void BootLoader::handleEvent(const SDL_Event& event) {
    if (event.type == SDL_EVENT_QUIT) {
        SceneManager::current = SceneManager::Scene::QUIT;
    }
}
